| ## SSEMATCH documentation

## CONTENTS

1.0 SUMMARY
2.0 INPUTS & OUTPUTS
3.0 INPUT FILE FORMAT
4.0 OUTPUT FILE FORMAT
5.0 DATA FILES
6.0 USAGE
7.0 KNOWN BUGS & WARNINGS
8.0 NOTES
9.0 DESCRIPTION
10.0 ALGORITHM
11.0 RELATED APPLICATIONS
12.0 DIAGNOSTIC ERROR MESSAGES
13.0 AUTHORS
14.0 REFERENCES

## 1.0 SUMMARY

Search a DCF file for secondary structure matches

## 2.0 INPUTS & OUTPUTS

Reads a DCF file (domain classification file) and a file of secondary structure (query) and writes DCF files containing the top-scoring matches (domains) between the query and domains from the DCF file. The secondary strructure file contains a (1) secondary structure element map (a string where each character represents a secondary structure element) and (2) a secondary structure string (each character represents an amino acid residue) for a given query. Matches are found by global alignment of (1) element maps and (2) strings (individual residues) to generate the two DCF (output) files.
The DCF input file must contain domain secondary structure information, which can be added by using DOMAINSSE.
The names of the secondary structure file, DCF files (input and output) and number of top-scoring matches to report are specified by the user. A log file is also written.

## 3.0 INPUT FILE FORMAT

Domain classification file
The format of the DCF file is described in the SCOPPARSE documentation.
The DCF input file must contain domain secondary structure information, which can be added by using DOMAINSSE.
Secondary structure file
The format of the secondary structure file (Figure 1) is identical to the SS and SE records from a DCF file (see DOMAINSSE documentation.).
The records are as follows:

- (1) SS - Secondary structure assignment (per residue). A simplified 3-state assignment: H (helix), E (extended, beta strand) and L (loop, open coil) should be used.
- (2) SE - Secondary structure element assignment (per secondary structure element). The same 3-state assignment as for the SS record should be used.

Note that if the file contains secondary structure characters other than H, E and L they will be converted before they are used by SSEMATCH (see NOTES below).

### Input files for usage example

### File: sse.in

    SE   HEEE
    SS   SEQUENCE    43 AA;   5411 MW;  61C5458D CRC32;
         LLLLLLHHHH EEEEEEEEEE EEEEEEEEEE EELLLEEEEE LLL

### File: ../domainsse-keep/domainsse.out

    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    SE   HH
    XX
    SS   SEQUENCE    46 AA;   6039 MW;  32D7FC5C51294C12 CRC64;
         LLLHHHHHHH LLHHHHHHHH HHHHHHHHHH HHHHHLLEEE EEELLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //
    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    SE   HEEE
    XX
    SS   SEQUENCE    43 AA;   5411 MW;  F2A5FA03304F5F35 CRC64;
         LLLLLLHHHH EEEEEEEEEE EEEEEEEEEE EELLLEEEEE LLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

## 4.0 OUTPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation. SSEMATCH adds an extra comment line at the top containing the score for the appropriate alignment (residue or element).

### Output files for usage example

### File: res.dcf

    XX   ALIGNMENT SCORE 100.000
    XX
    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    SE   HEEE
    XX
    SS   SEQUENCE    43 AA;   5411 MW;  F2A5FA03304F5F35 CRC64;
         LLLLLLHHHH EEEEEEEEEE EEEEEEEEEE EELLLEEEEE LLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

### File: elm.dcf

    XX   ALIGNMENT SCORE 100.000
    XX
    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    SE   HH
    XX
    SS   SEQUENCE    46 AA;   6039 MW;  32D7FC5C51294C12 CRC64;
         LLLHHHHHHH LLHHHHHHHH HHHHHHHHHH HHHHHLLEEE EEELLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

### File: ssematch.log

## 5.0 DATA FILES

SSEMATCH requires a secondary structure substitution table such as SSSUB distributed with EMBOSS. An example (taken from Wallqvist et al) is shown in Figure 3.
Figure 3 Excerpt from a DCF (output) file

        H   E   C   *
    H   2 -15  -4  -7
    E -15   4  -4  -7
    C  -4  -4   2  -7
    *  -7  -7  -7   1

## 6.0 USAGE

### 6.1 COMMAND LINE ARGUMENTS

    Search a DCF file for secondary structure matches.
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-ssinfile]          infile     This option specifies the name of the file
                                      of secondary structure (input).
      [-dcfinfile]         infile     This option specifies the name of the DCF
                                      file (domain classification file) (input). A
                                      'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.
       -maxhits            integer    [5] This option specifies the number of
                                      top-scoring matches to report. (Any integer
                                      value)
      [-outssfile]         outfile    [*.ssematch] This option specifies the name
                                      of the file containing top-scoring domains
                                      for residue-based alignment (output).A
                                      'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like).
      [-outsefile]         outfile    [*.ssematch] This option specifies the name
                                      of the file containing top-scoring domains
                                      for secondary structure element-based
                                      alignment (output). A 'domain classification
                                      file' contains classification and other
                                      data for domains from SCOP or CATH, in DCF
                                      format (EMBL-like).
       -logfile            outfile    [ssematch.log] This option specifies the
                                      name of the ssematch log file (output).

       Additional (Optional) qualifiers:
       -datafile           matrixf    [SSSUB] This option specifies the secondary
                                      structure substitution matrix.
       -rgapopen           float      [10.0 for any sequence] This options
                                      specifies the gap insertion penalty for
                                      reside-based alignment. The gap insertion
                                      penalty is the score taken away when a gap
                                      is created. The best value depends on the
                                      choice of comparison matrix. The default
                                      value assumes you are using the EBLOSUM62
                                      matrix for protein sequences, and the
                                      EDNAFULL matrix for nucleotide sequences.
                                      (Floating point number from 1.0 to 100.0)
       -rgapextend         float      [0.5 for any sequence] This options
                                      specifies the gap extension penalty for
                                      residue-based alignment. The gap extension,
                                      penalty is added to the standard gap penalty
                                      for each base or residue in the gap. This
                                      is how long gaps are penalized. Usually you
                                      will expect a few long gaps rather than many
                                      short gaps, so the gap extension penalty
                                      should be lower than the gap penalty.
                                      (Floating point number from 0.0 to 10.0)
       -egapopen           float      [10.0 for any sequence] This options
                                      specifies the gap insertion penalty for
                                      element-based alignment. The gap insertion
                                      penalty is the score taken away when a gap
                                      is created. The best value depends on the
                                      choice of comparison matrix. The default
                                      value assumes you are using the EBLOSUM62
                                      matrix for protein sequences, and the
                                      EDNAFULL matrix for nucleotide sequences.
                                      (Floating point number from 1.0 to 100.0)
       -egapextend         float      [0.5 for any sequence] This options
                                      specifies the gap extension penalty for
                                      secondary structure element-based alignment.
                                      The gap extension, penalty is added to the
                                      standard gap penalty for each base or
                                      residue in the gap. This is how long gaps
                                      are penalized. Usually you will expect a few
                                      long gaps rather than many short gaps, so
                                      the gap extension penalty should be lower
                                      than the gap penalty. (Floating point number
                                      from 0.0 to 10.0)

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outssfile" associated qualifiers
       -odirectory3        string     Output directory

       "-outsefile" associated qualifiers
       -odirectory4        string     Output directory

       "-logfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-ssinfile] (Parameter 1) | infile | This option specifies the name of the file of secondary structure (input). | Input file | Required
[-dcfinfile] (Parameter 2) | infile | This option specifies the name of the DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS. | Input file | Required
-maxhits | integer | This option specifies the number of top-scoring matches to report. | Any integer value | 5
[-outssfile] (Parameter 3) | outfile | This option specifies the name of the file containing top-scoring domains for residue-based alignment (output).A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). | Output file | <*>.ssematch
[-outsefile] (Parameter 4) | outfile | This option specifies the name of the file containing top-scoring domains for secondary structure element-based alignment (output). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). | Output file | <*>.ssematch
-logfile | outfile | This option specifies the name of the ssematch log file (output). | Output file | ssematch.log
Additional (Optional) qualifiers
-datafile | matrixf | This option specifies the secondary structure substitution matrix. | Comparison matrix file in EMBOSS data path | SSSUB
-rgapopen | float | This options specifies the gap insertion penalty for reside-based alignment. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. | Floating point number from 1.0 to 100.0 | 10.0 for any sequence
-rgapextend | float | This options specifies the gap extension penalty for residue-based alignment. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. | Floating point number from 0.0 to 10.0 | 0.5 for any sequence
-egapopen | float | This options specifies the gap insertion penalty for element-based alignment. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. | Floating point number from 1.0 to 100.0 | 10.0 for any sequence
-egapextend | float | This options specifies the gap extension penalty for secondary structure element-based alignment. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. | Floating point number from 0.0 to 10.0 | 0.5 for any sequence
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-outssfile" associated outfile qualifiers
-odirectory3 -odirectory_outssfile | string | Output directory | Any string |
"-outsefile" associated outfile qualifiers
-odirectory4 -odirectory_outsefile | string | Output directory | Any string |
"-logfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

### 6.2 EXAMPLE SESSION

An example of interactive use of SSEMATCH is shown below. Here is a sample session with ssematch

    % ssematch
    Search a DCF file for secondary structure matches.
    Secondary structure file: sse.in
    Domain classification file: ../domainsse-keep/domainsse.out
    Number of top-scoring matches to report. [5]: 1
    Domain classification residue-based output file [sse.ssematch]: res.dcf
    Domain classification structure-based output file [sse.out2]: elm.dcf
    Domainatrix log output file [ssematch.log]:

Go to the input files for this example
Go to the output files for this example

## 7.0 KNOWN BUGS & WARNINGS

The SSEMATCH implementation of secondary structure mapping is the most basic and more powerful algorithms are available. Input file
The DCF input file must contain domain secondary structure information, which can be added by using DOMAINSSE.

## 8.0 NOTES

Conversion of secondary structure file
SSEMATCH currently only works with 3-state secondary structure assignments. The following conversions are applied to the characters in the secondary structure input file:

- Bridge B/b, turn T, coil C are changed to 'L'.
- Helices 'H', 'G', 'I' are changed to / remain 'H'.
- Extended conformation ('E') remains 'E'.

### 8.1 GLOSSARY OF FILE TYPES

FILE TYPE | FORMAT | DESCRIPTION | CREATED BY | SEE ALSO
Domain classification file (for SCOP) | DCF format (EMBL-like). | Classification and other data for domains from SCOP. | SCOPPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Domain classification file (for CATH) | DCF format (EMBL-like). | Classification and other data for domains from CATH. | CATHPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.

None

## 9.0 DESCRIPTION

Secondary structure element mapping is a coarse but powerful approach for identifying similarities between protein sequences. SSEMATCH implements a very basic approach whereby a query sequence of secondary structure (of elements or residues) is scanned against a library of known secondary structures for domains in SCOP or CATH, as held in a DCF file (domain classification file).

## 10.0 ALGORITHM

Standard N&W-type global alignment.

## 11.0 RELATED APPLICATIONS

## See also

Program name | Description
--- | ---
aaindexextract | Extract amino acid property data from AAINDEX
allversusall | Sequence similarity data from all-versus-all comparison
cathparse | Generate DCF file from raw CATH files
cutgextract | Extract codon usage tables from CUTG database
domainalign | Generate alignments (DAF file) for nodes in a DCF file
domainer | Generate domain CCF files from protein CCF files
domainnr | Remove redundant domains from a DCF file
domainrep | Reorder DCF file to identify representative structures
domainseqs | Add sequence records to a DCF file
domainsse | Add secondary structure records to a DCF file
helixturnhelix | Identify nucleic acid-binding motifs in protein sequences
hetparse | Convert heterogen group dictionary to EMBL-like format
jaspextract | Extract data from JASPAR
libgen | Generate discriminating elements from alignments
matgen3d | Generate a 3D-1D scoring matrix from CCF files
pdbparse | Parse PDB files and writes protein CCF files
pdbplus | Add accessibility and secondary structure to a CCF file
pdbtosp | Convert swissprot:PDB codes file to EMBL-like format
pepcoil | Predict coiled coil regions in protein sequences
printsextract | Extract data from PRINTS database for use by pscan
prosextract | Process the PROSITE motif database for use by patmatmotifs
rebaseextract | Process the REBASE database for use by restriction enzyme applications
rocon | Generate a hits file from comparing two DHF files
rocplot | Perform ROC analysis on hits files
scopparse | Generate DCF file from raw SCOP files
seqalign | Extend alignments (DAF file) with sequences (DHF file)
seqfraggle | Remove fragment sequences from DHF files
seqnr | Remove redundancy from DHF files
seqsort | Remove ambiguous classified sequences from DHF files
seqwords | Generate DHF files from keyword search of UniProt
sites | Generate residue-ligand CON files from CCF files
tfextract | Process TRANSFAC transcription factor database for use by tfscan

## 12.0 DIAGNOSTIC ERROR MESSAGES

None.

## 13.0 AUTHORS

Amanda O'Reilly
Jon Ison (jison@ebi.ac.uk)
The European Bioinformatics Institute Wellcome Trust Genome Campus Cambridge CB10 1SD UK

## 14.0 REFERENCES

Please cite the authors and EMBOSS.
Rice P, Bleasby A.J. 2000. EMBOSS - The European Molecular Biology Open Software Suite. Trends in Genetics, 15:276-278. See also http://www.uk.embnet.org/Software/EMBOSS

### 14.1 Other useful references

Wallqvist A, Fukunishi Y, Murphy LR, Fadel A, Levy RM.
Iterative sequence/secondary structure search for protein homologs: comparison with amino acid sequence alignments and application to fold recognition in genome databases.
Bioinformatics. 2000 Nov;16(11):988-1002.